function  smaz_caru( varargin )
%funkce pro odebrani posledni subjektem nakreslene cary

Hrana=5;
global Data poz count_car img Y2
if count_car>1
X = Data(1).x;
Y=Y2;
cas = Data(1).t;
poz=sort(poz);
cla
imshow(img)
count_car=count_car-1;
plot(X(1:poz(count_car)),Y(1:poz(count_car)),'.')
hold on
for j=1:count_car-1
        patch([(X(poz(j)) - Hrana) (X(poz(j)) + Hrana) (X(poz(j)) + Hrana) (X(poz(j)) - Hrana)], [(Y(poz(j)) - Hrana) (Y(poz(j)) - Hrana) (Y(poz(j)) + Hrana) (Y(poz(j)) + Hrana)],[1 0 0])
        hold on
        patch([(X(poz(j)) - Hrana) (X(poz(j)) + Hrana) (X(poz(j)) + Hrana) (X(poz(j)) - Hrana)], [(Y(poz(j)) - Hrana) (Y(poz(j)) - Hrana) (Y(poz(j)) + Hrana) (Y(poz(j)) + Hrana)],[1 0 0])
end
end
end